#ifndef FIELD_H
#define FIELD_H

#include <glib.h>
#include "pdictype.h"

typedef struct {
	guint32 size;
	gchar *chapter;//見出し
	byte exp;//圧縮長
	byte attribute;//属性
	gchar *translation;//語訳
} field_st;

//フィールド情報の取得
char* pdicGetField(uchar *data,field_st *field,int fieldw);
//フィールド情報を消去する
void pdicClearField(field_st *field);

#endif
